<?php

namespace Ebuy\Discount\Forms;

use Litepie\Form\FormInterpreter;

class Discount extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('discount/discount/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('discount/discount/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('discount/discount'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('discount/discount'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('discount/discount'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('discount/discount'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('discount::discount.label.name'),
                "placeholder" => trans('discount::discount.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('discount::discount.label.created_at'),
            'name' => trans('discount::discount.label.name'),
            'status' => trans('discount::discount.label.status'),
        ];
        self::$groups = [
            'main' => trans('discount::discount.groups.main'),
            'details' => trans('discount::discount.groups.details'),
            'images' => trans('discount::discount.groups.images'),
            'settings' => trans('discount::discount.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('discount::discount.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('discount::discount.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('discount::discount.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('discount::discount.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('discount::discount.label.name'),
                "placeholder" => trans('discount::discount.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'parent_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('discount::discount.label.parent_id'),
                "placeholder" => trans('discount::discount.placeholder.parent_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('discount::discount.label.category_id'),
                "placeholder" => trans('discount::discount.placeholder.category_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'subcategory_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('discount::discount.label.subcategory_id'),
                "placeholder" => trans('discount::discount.placeholder.subcategory_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'product_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('discount::discount.label.product_id'),
                "placeholder" => trans('discount::discount.placeholder.product_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'discount' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('discount::discount.label.discount'),
                "placeholder" => trans('discount::discount.placeholder.discount'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'discount_price' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('discount::discount.label.discount_price'),
                "placeholder" => trans('discount::discount.placeholder.discount_price'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'valid_from' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('discount::discount.label.valid_from'),
                "placeholder" => trans('discount::discount.placeholder.valid_from'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'valid_to' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('discount::discount.label.valid_to'),
                "placeholder" => trans('discount::discount.placeholder.valid_to'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
